package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.api.domain.SysUser;

public interface ISysUserService
{
    List<SysUser> selectUserList(final SysUser p0);
    
    List<SysUser> selectList(final SysUser p0);
    
    List<SysUser> selectAllocatedList(final SysUser p0);
    
    List<SysUser> selectUnallocatedList(final SysUser p0);
    
    SysUser selectUserByUserName(final String p0);
    
    SysUser selectUserById(final Long p0);
    
    String selectUserRoleGroup(final String p0);
    
    String selectUserPostGroup(final String p0);
    
    boolean checkUserNameUnique(final SysUser p0);
    
    boolean checkPhoneUnique(final SysUser p0);
    
    boolean checkEmailUnique(final SysUser p0);
    
    void checkUserAllowed(final SysUser p0);
    
    void checkUserDataScope(final Long p0);
    
    int insertUser(final SysUser p0);
    
    boolean registerUser(final SysUser p0);
    
    int updateUser(final SysUser p0);
    
    void insertUserAuth(final Long p0, final Long[] p1);
    
    int updateUserStatus(final SysUser p0);
    
    int updateUserProfile(final SysUser p0);
    
    boolean updateUserAvatar(final String p0, final String p1);
    
    int resetPwd(final SysUser p0);
    
    int resetUserPwd(final String p0, final String p1);
    
    int deleteUserById(final Long p0);
    
    int deleteUserByIds(final Long[] p0);
    
    String importUser(final List<SysUser> p0, final Boolean p1, final String p2);
    
    void updateUserCloakId(final Long p0, final String p1);
}
